Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class Cache

    java.lang.Object
      oracle.ifs.common.Cache

Direct Known Subclasses:
  BoundedCache, ConnectedLibraryObjectCache, UnboundedCache, UncommittedLibraryObjectDataCache, UncommittedResolvedAclCache

    public abstract class Cache

extends java.lang.Object

A Cache is a cache of arbitrary objects identified by Longs.

(Unpublished)

Field Summary
`protected CacheConfiguration` | `m_Configuration` The configuration parameters of this cache.

Constructor Summary
`Cache(CacheConfiguration configuration)` Constructs a cache.

Method Summary
`void` | `dispose()` Disposes this cache.
`abstract java.lang.Object` | `find(java.lang.Object id)` Gets an item from this cache.
`CacheConfiguration` | `getCacheConfiguration()` Gets the configuration parameters of this cache.
`abstract CachePerformance` | `getCachePerformance()` Gets the performance information for this cache.
`java.util.Enumeration` | `getElements()` Gets an Enumeration of the items in this cache.
`abstract void` | `put(java.lang.Object id, java.lang.Object value)` Puts an item in this cache.
`abstract void` | `remove(java.lang.Object id)` Removes an item from this cache.
`void` | `reset()` Resets this cache.
`abstract void` | `resetCachePerformance()` Resets the performance information for this cache.
`abstract void` | `setCacheConfiguration(CacheConfiguration configuration)` Alters the configuration of this cache.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_Configuration

    protected CacheConfiguration m_Configuration

  Description copied from class: `Cache`
  The configuration parameters of this cache.

  (Unpublished)

Constructor Detail

### Cache

    public Cache(CacheConfiguration configuration)

  Constructs a cache.

  Parameters:
    `configuration` - the configuration parameters for the new cache
  (Unpublished)

Method Detail

### getCacheConfiguration

    public final CacheConfiguration getCacheConfiguration()

  Description copied from class: `Cache`
  Gets the configuration parameters of this cache.

  This method returns a copy of the configuration parameters for this cache. To alter the configuration of this cache, use the CacheConfiguration mutators to adjust the parameters' values and then call `setCacheConfiguration` to apply the altered CacheConfiguration.

  Returns:
    the cache configuration
  (Unpublished)

### setCacheConfiguration

    public abstract void setCacheConfiguration(CacheConfiguration configuration)
                                        throws IfsException

  Description copied from class: `Cache`
  Alters the configuration of this cache.

  Certain cache configuration parameters may be immutable; the CacheConfiguration value of any such parameter will be ignored. Refer to the Javadoc of each concrete Cache subclass for a list of such parameters.

  Parameters:
    `configuration` - the configuration parameters
  Throws:
    `IfsException` - (IFS-10810) if the operation fails
  (Unpublished)

### put

    public abstract void put(java.lang.Object id,
                             java.lang.Object value)
                      throws IfsException

  Description copied from class: `Cache`
  Puts an item in this cache.

  Parameters:
    `id` - the item id
    `value` - the item
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### remove

    public abstract void remove(java.lang.Object id)
                         throws IfsException

  Description copied from class: `Cache`
  Removes an item from this cache.

  Parameters:
    `id` - the item id
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### find

    public abstract java.lang.Object find(java.lang.Object id)
                                   throws IfsException

  Description copied from class: `Cache`
  Gets an item from this cache.

  Parameters:
    `id` - the item id
  Returns:
    the item, or null if the item is not in this cache
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getElements

    public java.util.Enumeration getElements()
                                      throws IfsException

  Description copied from class: `Cache`
  Gets an Enumeration of the items in this cache. This will throw an IfsException (IFS-19008) unless the subclass overrides with an implementation.

  Returns:
    the enumeration of items
  Throws:
    `IfsException` - (IFS-19008) if an Enumeration is not available
  (Unpublished)

### getCachePerformance

    public abstract CachePerformance getCachePerformance()

  Description copied from class: `Cache`
  Gets the performance information for this cache.

  Returns:
    a cache performance object
  (Unpublished)

### resetCachePerformance

    public abstract void resetCachePerformance()

  Description copied from class: `Cache`
  Resets the performance information for this cache.

  (Unpublished)

### reset

    public void reset()

  Description copied from class: `Cache`
  Resets this cache.

  This causes the cache to be emptied and its performance information to be reset.

  (Unpublished)

### dispose

    public void dispose()

  Description copied from class: `Cache`
  Disposes this cache.

  After the cache is disposed, it is invalid to use this cache.

  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD